# PTYMode (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.connection.channel.direct
Enum PTYMode

    java.lang.Object
      java.lang.Enum<PTYMode>
          net.schmizz.sshj.connection.channel.direct.PTYMode

All Implemented Interfaces:
  Serializable, Comparable<PTYMode>

    public enum PTYMode

extends Enum<PTYMode>

Various modes for a psuedo-terminal. They are meant to have integer parameters.

Enum Constant Summary
`CS7` 7 bit mode.
`CS8` 8 bit mode.
`ECHO` Enable echoing.
`ECHOCTL` Echo control characters as ˆ(Char).
`ECHOE` Visually erase chars.
`ECHOK` Kill character discards current line.
`ECHOKE` Visual erase for line kill.
`ECHONL` Echo NL even if ECHO is off.
`ICANON` Canonicalize input lines.
`ICRNL` Map CR to NL on input.
`IEXTEN` Enable extensions.
`IGNCR` Ignore CR on input.
`IGNPAR` The ignore parity flag.
`IMAXBEL` Ring bell on input queue full.
`INLCR` Map NL into CR on input.
`INPCK` Enable checking of parity errors.
`ISIG` Enable signals INTR, QUIT, [D]SUSP.
`ISTRIP` Strip 8th bit off characters.
`IUCLC` Translate uppercase characters to lowercase.
`IXANY` Any char will restart after stop.
`IXOFF` Enable input flow control.
`IXON` Enable output flow control.
`NOFLSH` Don't flush after interrupt.
`OCRNL` Translate carriage return to newline (output).
`OLCUC` Convert lowercase to uppercase.
`ONLCR` Map NL to CR-NL.
`ONLRET` Newline performs a carriage return (output).
`ONOCR` Translate newline to carriage return-newline (output).
`OPOST` Enable output processing.
`PARENB` Parity enable.
`PARMRK` Mark parity and framing errors.
`PARODD` Odd parity, else even.
`PENDIN` Retype pending input.
`TOSTOP` Stop background jobs from output.
`TTY_OP_ISPEED` Specifies the input baud rate in bits per second.
`TTY_OP_OSPEED` Specifies the output baud rate in bits per second.
`VDISCARD` Toggles the flushing of terminal output.
`VDSUSP` Another suspend character.
`VEOF` End-of-file character (sends EOF from the terminal).
`VEOL` End-of-line character in addition to carriage return and/or linefeed.
`VEOL2` Additional end-of-line character.
`VERASE` Erase the character to left of the cursor.
`VFLUSH` Character to flush output.
`VINTR` Interrupt character; 255 if none.
`VKILL` Kill the current input line.
`VLNEXT` Enter the next character typed literally, even if it is a special character.
`VQUIT` The quit character (sends SIGQUIT signal on POSIX systems).
`VREPRINT` Reprints the current input line.
`VSTART` Continues paused output (normally control-Q).
`VSTATUS` Prints system status line (load, command, pid, etc).
`VSTOP` Pauses output (normally control-S).
`VSUSP` Suspends the current program.
`VSWTCH` Switch to a different shell layer.
`VWERASE` Erases a word left of cursor.
`XCASE` Enable input and output of uppercase characters by preceding their lowercase equivalents with "\".

Method Summary
`static byte[]` `encode(Map<PTYMode,Integer> modes)`
`byte` `getOpcode()`
`static PTYMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PTYMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VINTR

    public static final PTYMode VINTR

  Interrupt character; 255 if none. Similarly for the other characters. Not all of these characters are supported on all systems.

### VQUIT

    public static final PTYMode VQUIT

  The quit character (sends SIGQUIT signal on POSIX systems).

### VERASE

    public static final PTYMode VERASE

  Erase the character to left of the cursor.

### VKILL

    public static final PTYMode VKILL

  Kill the current input line.

### VEOF

    public static final PTYMode VEOF

  End-of-file character (sends EOF from the terminal).

### VEOL

    public static final PTYMode VEOL

  End-of-line character in addition to carriage return and/or linefeed.

### VEOL2

    public static final PTYMode VEOL2

  Additional end-of-line character.

### VSTART

    public static final PTYMode VSTART

  Continues paused output (normally control-Q).

### VSTOP

    public static final PTYMode VSTOP

  Pauses output (normally control-S).

### VSUSP

    public static final PTYMode VSUSP

  Suspends the current program.

### VDSUSP

    public static final PTYMode VDSUSP

  Another suspend character.

### VREPRINT

    public static final PTYMode VREPRINT

  Reprints the current input line.

### VWERASE

    public static final PTYMode VWERASE

  Erases a word left of cursor.

### VLNEXT

    public static final PTYMode VLNEXT

  Enter the next character typed literally, even if it is a special character.

### VFLUSH

    public static final PTYMode VFLUSH

  Character to flush output.

### VSWTCH

    public static final PTYMode VSWTCH

  Switch to a different shell layer.

### VSTATUS

    public static final PTYMode VSTATUS

  Prints system status line (load, command, pid, etc).

### VDISCARD

    public static final PTYMode VDISCARD

  Toggles the flushing of terminal output.

### IGNPAR

    public static final PTYMode IGNPAR

  The ignore parity flag. The parameter SHOULD be 0 if this flag is FALSE, and 1 if it is TRUE.

### PARMRK

    public static final PTYMode PARMRK

  Mark parity and framing errors.

### INPCK

    public static final PTYMode INPCK

  Enable checking of parity errors.

### ISTRIP

    public static final PTYMode ISTRIP

  Strip 8th bit off characters.

### INLCR

    public static final PTYMode INLCR

  Map NL into CR on input.

### IGNCR

    public static final PTYMode IGNCR

  Ignore CR on input.

### ICRNL

    public static final PTYMode ICRNL

  Map CR to NL on input.

### IUCLC

    public static final PTYMode IUCLC

  Translate uppercase characters to lowercase.

### IXON

    public static final PTYMode IXON

  Enable output flow control.

### IXANY

    public static final PTYMode IXANY

  Any char will restart after stop.

### IXOFF

    public static final PTYMode IXOFF

  Enable input flow control.

### IMAXBEL

    public static final PTYMode IMAXBEL

  Ring bell on input queue full.

### ISIG

    public static final PTYMode ISIG

  Enable signals INTR, QUIT, [D]SUSP.

### ICANON

    public static final PTYMode ICANON

  Canonicalize input lines.

### XCASE

    public static final PTYMode XCASE

  Enable input and output of uppercase characters by preceding their lowercase equivalents with "\".

### ECHO

    public static final PTYMode ECHO

  Enable echoing.

### ECHOE

    public static final PTYMode ECHOE

  Visually erase chars.

### ECHOK

    public static final PTYMode ECHOK

  Kill character discards current line.

### ECHONL

    public static final PTYMode ECHONL

  Echo NL even if ECHO is off.

### NOFLSH

    public static final PTYMode NOFLSH

  Don't flush after interrupt.

### TOSTOP

    public static final PTYMode TOSTOP

  Stop background jobs from output.

### IEXTEN

    public static final PTYMode IEXTEN

  Enable extensions.

### ECHOCTL

    public static final PTYMode ECHOCTL

  Echo control characters as ˆ(Char).

### ECHOKE

    public static final PTYMode ECHOKE

  Visual erase for line kill.

### PENDIN

    public static final PTYMode PENDIN

  Retype pending input.

### OPOST

    public static final PTYMode OPOST

  Enable output processing.

### OLCUC

    public static final PTYMode OLCUC

  Convert lowercase to uppercase.

### ONLCR

    public static final PTYMode ONLCR

  Map NL to CR-NL.

### OCRNL

    public static final PTYMode OCRNL

  Translate carriage return to newline (output).

### ONOCR

    public static final PTYMode ONOCR

  Translate newline to carriage return-newline (output).

### ONLRET

    public static final PTYMode ONLRET

  Newline performs a carriage return (output).

### CS7

    public static final PTYMode CS7

  7 bit mode.

### CS8

    public static final PTYMode CS8

  8 bit mode.

### PARENB

    public static final PTYMode PARENB

  Parity enable.

### PARODD

    public static final PTYMode PARODD

  Odd parity, else even.

### TTY_OP_ISPEED

    public static final PTYMode TTY_OP_ISPEED

  Specifies the input baud rate in bits per second.

### TTY_OP_OSPEED

    public static final PTYMode TTY_OP_OSPEED

  Specifies the output baud rate in bits per second.

Method Detail

### values

    public static PTYMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PTYMode c : PTYMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PTYMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### encode

    public static byte[] encode(Map<PTYMode,Integer> modes)

### getOpcode

    public byte getOpcode()

Copyright © 2009-2011. All Rights Reserved.